Bug 1250353 - golang: HTTP request smuggling in net/http library [fedora-all]
golang: HTTP request smuggling in net/http library [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: golang (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vincent Batts
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2015-5739/CVE-2015-5740/CVE-2015-5741
  Show dependency treegraph
 
Reported: 2015-08-05 04:39 EDT by Adam Mariš
Modified: 2015-10-01 14:56 EDT (History)
6 users (show)

See Also:
Fixed In Version: golang-1.4.2-3.fc22 golang-1.5.1-0.el6
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-01 14:56:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-08-05 04:39:18 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2015-08-05 04:39:22 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1250352,1250353

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1250352,1250353
Comment 2 Vincent Batts 2015-08-05 14:59:56 EDT
f23 and rawhide are safe as the commits that fix this are already in go1.5beta3, which they are on.
Comment 3 Fedora Update System 2015-08-06 12:35:02 EDT
golang-1.4.2-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-1.4.2-3.fc21
Comment 4 Fedora Update System 2015-08-06 12:36:14 EDT
golang-1.4.2-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-1.4.2-3.fc22
Comment 5 Fedora Update System 2015-08-06 12:36:21 EDT
golang-1.4.2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-1.4.2-3.el6
Comment 6 Fedora Update System 2015-08-07 09:08:54 EDT
Package golang-1.4.2-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing golang-1.4.2-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12957/golang-1.4.2-3.fc21
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2015-08-18 01:21:39 EDT
golang-1.4.2-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-08-18 01:22:59 EDT
golang-1.4.2-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-09-04 11:47:45 EDT
golang-1.5-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7912
Comment 10 Fedora Update System 2015-09-11 11:31:42 EDT
golang-1.5.1-0.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8044
Comment 11 Fedora Update System 2015-09-13 21:50:43 EDT
golang-1.5.1-0.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8044
Comment 12 Fedora Update System 2015-10-01 14:56:36 EDT
golang-1.5.1-0.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.